Delete Block Number(s) from a Group (Token Authentication)

Generated from cURL: curl --location --request DELETE 'https://api.pre-prod.ozonetel.com/ca_apis/deleteBlockNumberGroup'
--header 'apiKey: KK00b15555afb7066312663b969a75f74d'
--header 'Content-Type: application/json'
--data '{
"userName":"preprod",
"blockNumber":"2345"
}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used to delete a phone number from a Block Number Group.

📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

To use this API with the help of a token, follow these steps:

  1. Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
  2. Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
  3. With the token entered, pass the below header and body parameters:

Body Params

Parameter (new Key)Description (new value)
userNameYour CloudAgent account Username.
blockNumbersPhone numbers to be deleted from the group.

Headers

ParameterDescription
Content-TypeShould be - application/json
❗️

Rate Limit

This API supports the deletion of up to 100 phone numbers in a single request.

Possible responses

Passing invalid Id key parameter.{ "status": "error","message": "Parameters are mandatory"}
Passing invalid Id value parameter.{ "status": "error","message": "Invalid group id"}
Passing invalid blockNumbers key parameter.{ "status": "error","message": "Parameters are mandatory"}
Successfully deleting multiple leads in Block Number Group"{""status"": ""success"",""message"": ""deleted"",""input"": {""id"": 1,
""blockNumbers"": [""91XX88XXX8"",
""9197XXX0XX94"",""9197XXX0XX93"",
""9197XXX0XX94"",""9197XXX0XX95""][""91XX88XXX8"",
""9197XXX0XX94"",""9197XXX0XX93"",
""9197XXX0XX94"",""9197XXX0XX95""]},
""output"": {""success"": [
""+9191XX88XXX8"",""+9197XXX0XX94"",
""+9197XXX0XX93"",""+9197XXX0XX94"",
""+9197XXX0XX95""][
""+9191XX88XXX8"",""+9197XXX0XX94"",
""+9197XXX0XX93"",""+9197XXX0XX94"",
""+9197XXX0XX95""],
""error"": [],""deleted"": 4}}"
Body Params
Headers
string
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!